package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.model.ContractType;
import com.ecep.contract.service.ContractTypeService;
import com.ecep.contract.service.IEntityService;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class ContractTypeTableCell<V> extends AsyncUpdateTableCell<V, ContractType> {
    public ContractTypeTableCell(ContractTypeService contractService) {
        setService(contractService);
    }

    @Override
    protected IEntityService<ContractType> getServiceBean() {
        return SpringApp.getBean(ContractTypeService.class);
    }
}
